/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _AUTH_H
#define _AUTH_H

#include <gtk/gtk.h>
#include <unistd.h>

typedef struct _gpt_aw GptAuthWindow;
typedef struct _gpt_aw_class GptAuthWindowClass;
typedef struct _gpt_aw_private GptAuthWindowPriv;
	
#define GPT_AUTH_WINDOW_TYPE		(gpt_auth_window_get_type ())
#define GPT_AUTH_WINDOW(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), GPT_AUTH_WINDOW_TYPE, GptAuthWindow))
#define GPT_AUTH_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GPT_AUTH_WINDOW_TYPE, GptAuthWindowClass))
#define GPT_IS_AUTH_WINDOW(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GPT_AUTH_WINDOW_TYPE))
#define GPT_IS_AUTH_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GPT_AUTH_WINDOW_TYPE))
#define GPT_AUTH_WINDOW_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GPT_AUTH_WINDOW_TYPE, GptAuthWindowClass))

struct _gpt_aw_private {
  GtkWidget *vte;
  GtkWidget *entry;
  GtkWidget *btn_cancel;
  GtkWidget *btn_ok;
	
  gboolean auth_done;
  pid_t pid;
};

struct _gpt_aw {
  GtkWindow parent;
  GptAuthWindowPriv *priv;
};

struct _gpt_aw_class {
  GtkWindowClass parent;
};

GType gpt_auth_window_get_type (void);
GtkWidget *gpt_auth_window_new (GtkWindow *w);
gboolean need_su (GtkWindow *w);

#endif /* _AUTH_H */
