/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _BUILD_WINDOW_H
#define _BUILD_WINDOW_H

#include <gtk/gtk.h>

typedef struct _gpt_bw GptBuildWindow;
typedef struct _gpt_bw_class GptBuildWindowClass;
typedef struct _gpt_bw_private GptBuildWindowPriv;
	
#define GPT_BUILD_WINDOW_TYPE				(gpt_build_window_get_type ())
#define GPT_BUILD_WINDOW(obj)				(G_TYPE_CHECK_INSTANCE_CAST ((obj), GPT_BUILD_WINDOW_TYPE, GptBuildWindow))
#define GPT_BUILD_WINDOW_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), GPT_BUILD_WINDOW_TYPE, GptBuildWindowClass))
#define GPT_IS_BUILD_WINDOW(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GPT_BUILD_WINDOW_TYPE))
#define GPT_IS_BUILD_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GPT_BUILD_WINDOW_TYPE))
#define GPT_BUILD_WINDOW_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS ((obj), GPT_BUILD_WINDOW_TYPE, GptBuildWindowClass))

struct _gpt_bw_private {
	GtkWidget *entry_tarball;
	GtkWidget *btn_tarball_browse;
	GtkWidget *entry_pkg_name;
	GtkWidget *entry_pkg_version;
	GtkWidget *exp_advanced;
	GtkWidget *combo_optimization;
	GtkWidget *entry_configure_options;
	GtkWidget *btn_configure_details;
	GtkWidget *tv_patches;
	GtkListStore *patches_store;
	GtkWidget *btn_patch_remove;
	GtkWidget *btn_patch_add;
	GtkWidget *btn_build;
	GtkWidget *btn_cancel;

	GtkWidget *frame1;
	GtkWidget *hbox3;
	GtkWidget *hbox5;
	GtkWidget *label6;
	GtkWidget *label8;
};

struct _gpt_bw {
	GtkWindow parent;
	GptBuildWindowPriv *priv;
};

struct _gpt_bw_class {
	GtkWindowClass parent;
};

GType gpt_build_window_get_type (void);
GtkWidget *gpt_build_window_new ();

#endif /* _BUILD_WINDOW_H */
