/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 #ifndef _CONFIGURE_WINDOW_H
#define _CONFIGURE_WINDOW_H

typedef struct _gpt_cw GptConfigureWindow;
typedef struct _gpt_cw_class GptConfigureWindowClass;
typedef struct _gpt_cw_private GptConfigureWindowPriv;
typedef struct _gpt_cw_options GptConfigureOptions;
	
#define GPT_CONFIGURE_WINDOW_TYPE			(gpt_configure_window_get_type ())
#define GPT_CONFIGURE_WINDOW(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GPT_CONFIGURE_WINDOW_TYPE, GptConfigureWindow))
#define GPT_CONFIGURE_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GPT_CONFIGURE_WINDOW_TYPE, GptConfigureWindowClass))
#define GPT_IS_CONFIGURE_WINDOW(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GPT_CONFIGURE_WINDOW_TYPE))
#define GPT_IS_CONFIGURE_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GPT_CONFIGURE_WINDOW_TYPE))
#define GPT_CONFIGURE_WINDOW_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GPT_CONFIGURE_WINDOW_TYPE, GptConfigureWindowClass))

struct _gpt_cw_private {
	GtkWidget *treeview;
	GtkListStore *store;
};

struct _gpt_cw {
	GtkWindow parent;
	GptConfigureWindowPriv *priv;
};

struct _gpt_cw_class {
	GtkWindowClass parent;
};

struct _gpt_cw_options {
	gchar *name;	/* like "--with-gettext or --prefix */
	GType type;	/* G_TYPE_STRING or G_TYPE_BOOLEAN */
        gchar *value;
	gchar *desc;		/* like "Enable gettext support" or "installation prefix" */
};

GType gpt_configure_window_get_type (void);
GtkWidget *gpt_configure_window_new (GList *list);

#endif /* _CONFİGURE_WINDOW_H */
