#ifndef _HAS_DETAILS_WINDOW_H
#define _HAS_DETAILS_WINDOW_H

#include <gtk/gtk.h>
#include "packages.h"

typedef struct _gpt_dw GptDetailsWindow;
typedef struct _gpt_dw_class GptDetailsWindowClass;
typedef struct _gpt_dw_private GptDetailsWindowPriv;
	
#define GPT_DETAILS_WINDOW_TYPE				(gpt_details_window_get_type ())
#define GPT_DETAILS_WINDOW(obj)				(G_TYPE_CHECK_INSTANCE_CAST ((obj), GPT_DETAILS_WINDOW_TYPE, GptDetailsWindow))
#define GPT_DETAILS_WINDOW_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), GPT_DETAILS_WINDOW_TYPE, GptDetailsWindowClass))
#define GPT_IS_DETAILS_WINDOW(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GPT_DETAILS_WINDOW_TYPE))
#define GPT_IS_DETAILS_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GPT_DETAILS_WINDOW_TYPE))
#define GPT_DETAILS_WINDOW_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GPT_DETAILS_WINDOW_TYPE, GptDetailsWindowClass))

struct _gpt_dw_private {
	GtkWidget *label_size;
	GtkWidget *label_version;
	GtkWidget *label_name;
	GtkWidget *file_list;
	GtkListStore *file_list_store;
	GtkWidget *btn_close;
};

struct _gpt_dw {
	GtkWindow parent;
	GptDetailsWindowPriv *priv;
};

struct _gpt_dw_class {
	GtkWindowClass parent;
};

GType gpt_details_window_get_type (void);
GtkWidget *gpt_details_window_new (PkgEntry *entry);

#endif /* _HAS_DETAILS_H */
