#include <gnome.h>
#include <config.h>

#include "gpt.h"
#include "auth.h"

GptApp *the_app;

int
main (int argc, char *argv[])
{
#ifdef ENABLE_NLS
	bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
	textdomain (PACKAGE);
#endif

	gnome_init (PACKAGE, VERSION, argc, argv);
	
	the_app = g_object_new (GPT_APP_TYPE, NULL);

	the_app->main_window = GPT_MAIN_WINDOW (gpt_main_window_new ());
	gtk_widget_show (GTK_WIDGET (the_app->main_window));
	
	if (getuid () == 0)
		the_app->need_auth = FALSE;
	else if (need_su (GTK_WINDOW (the_app->main_window))) {
		GtkWidget *aw = gpt_auth_window_new (GTK_WINDOW (the_app->main_window));
		gtk_widget_show (aw);
	}
	else
		g_object_set (the_app->main_window, "browse-only", TRUE, NULL);
	
	gtk_main ();

	return 0;
}
