/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _MAIN_WINDOW_H
#define _MAIN_WINDOW_H

#include <gtk/gtk.h>

typedef struct _gpt_mw GptMainWindow;
typedef struct _gpt_mw_class GptMainWindowClass;
typedef struct _gpt_mw_private GptMainWindowPriv;
	
#define GPT_MAIN_WINDOW_TYPE			(gpt_main_window_get_type ())
#define GPT_MAIN_WINDOW(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GPT_MAIN_WINDOW_TYPE, GptMainWindow))
#define GPT_MAIN_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), GPT_MAIN_WINDOW_TYPE, GptMainWindowClass))
#define GPT_IS_MAIN_WINDOW(obj)			(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GPT_MAIN_WINDOW_TYPE))
#define GPT_IS_MAIN_WINDOW_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GPT_MAIN_WINDOW_TYPE))
#define GPT_MAIN_WINDOW_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GPT_MAIN_WINDOW_TYPE, GptMainWindowClass))

struct _gpt_mw_private {
	GtkWidget *menubar;
	GtkWidget *packages_list;
	GtkWidget *btn_details;
	GtkWidget *btn_close;
	GtkWidget *btn_uninstall;
	GtkWidget *paned;
	GtkWidget *label_summary;
	GtkWidget *menu_install;
	GtkWidget *menu_build;
};

struct _gpt_mw {
	GtkWindow parent;
	
	GptMainWindowPriv *priv;
};

struct _gpt_mw_class {
	GtkWindowClass parent;
};

GType gpt_main_window_get_type (void);
GtkWidget *gpt_main_window_new ();
void gpt_main_window_save (GptMainWindow *mw);

#endif /* _MAIN_WINDOW_H */
