#include <string.h>

#include "misc.h"
#include "pkglist.h"
#include "gpt.h"

extern GptApp *the_app;

gchar *
parse_package_size(glong size)
{
	double s;
	gchar *str;
	str = g_malloc (64);

	if (size > 1048576000) {
		s = size;
		s = s / 1073741824;	/* Gb */
		str = g_strdup_printf ("%'.2f Gb", s);
	}
	else if (size > 1024000) {
		s = size;
		s = s / 1048576;	/* Mb */
		str = g_strdup_printf ("%'.1f Mb", s);
	}
	else if (size > 1024) {
		s = size;
		s = s / 1024;	/* Kb */
		str = g_strdup_printf ("%'.0f Kb", s);
	}
	else
		str = g_strdup_printf ("%ld", size);
	return str;
}

gboolean
gpt_is_installed (const gchar *pkg_name)
{
	return packages_list_find (PKG_LIST (the_app->main_window->priv->packages_list), pkg_name);
}

static void
gpt_message_dlg (GtkWindow *w, const gchar *msg, GtkMessageType msg_type)
{
	GtkWidget *dlg;
	
	dlg = gtk_message_dialog_new (w, GTK_DIALOG_MODAL, msg_type, GTK_BUTTONS_CLOSE, msg);
	gtk_dialog_run (GTK_DIALOG (dlg));
	
	gtk_widget_destroy (dlg);
}

void
gpt_error (GtkWindow *w, const gchar *msg)
{
	gpt_message_dlg (w, msg, GTK_MESSAGE_ERROR);
}

void
gpt_info (GtkWindow *w, const gchar *msg)
{
	gpt_message_dlg (w, msg, GTK_MESSAGE_INFO);
}

void
gpt_warning (GtkWindow *w, const gchar *msg)
{
	gpt_message_dlg (w, msg, GTK_MESSAGE_WARNING);
}

gboolean
vte_is_selected (VteTerminal *terminal,glong column,glong row,gpointer data)
{
	return TRUE;
}
