#ifndef _HAS_PACKAGES_H_
#define _HAS_PACKAGES_H_

#include <glib-object.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

#define PACKAGES_DIR "/var/log/packages/"

#define PKG_ENTRY_TYPE            (pkg_entry_get_type ())
#define PKG_ENTRY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PKG_ENTRY_TYPE, PkgEntry))
#define PKG_ENTRY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), PKG_ENTRY_TYPE, PkgEntryClass))
#define IS_PKG_ENTRY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PKG_ENTRY_TYPE))
#define IS_PKG_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PKG_ENTRY_TYPE))
#define PKG_ENTRY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), PKG_ENTRY_TYPE, PkgEntryClass))

typedef struct _pkg_entry PkgEntry;
typedef struct _pkg_entry_class PkgEntryClass;

struct _pkg_entry {
  GObject parent;
  gchar *uri;
  gchar *name;
  gchar *version;
  gchar *arch;
  gchar *release;
  glong size;
  gchar *description;
  gchar *summary;
  GList *files;
  GdkPixbuf *pixbuf;
  glong mtime;
  
  gint score;
};

struct _pkg_entry_class {
  GObjectClass parent;
};

GType pkg_entry_get_type (void);
PkgEntry *pkg_entry_new (const gchar *uri);

#endif /* _HAS_PACKAGES_H_ */
