#ifndef _HAS_PKGLIST_H
#define _HAS_PKGLIST_H

#include <gtk/gtk.h>

#define PKG_LIST_TYPE            (pkg_list_get_type ())
#define PKG_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), PKG_LIST_TYPE, PkgList))
#define PKG_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass),  PKG_LIST_TYPE, PkgListClass))
#define IS_PKG_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PKG_LIST_TYPE))
#define IS_PKG_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass),  PKG_LIST_TYPE))
#define PKG_LIST_GET_CLASS(obj)	 (G_TYPE_INSTANCE_GET_CLASS ((obj),  PKG_LIST_TYPE, PkgListClass))

typedef struct _pkg_list PkgList;
typedef struct _pkg_list_class PkgListClass;
	
struct _pkg_list
{
  GtkTreeView           parent;
  GtkListStore          *store;
};

struct _pkg_list_class
{
  GtkTreeViewClass      parent;
};

GType      pkg_list_get_type     (void);

GtkWidget  *pkg_list_new ();

gboolean   packages_list_load    (PkgList     *pl,
                                  GError      **error);

gboolean   packages_list_reload  (PkgList     *pl,
                                  GError      **error);

gboolean   packages_list_find    (PkgList     *pl,
                                  const gchar *pkg_name);

gboolean   packages_list_refresh (PkgList     *pl,
                                  GError      **error);

#endif /* _HAS_PKGLIST_H */
